Page MenuHomePhabricator

Provide a HHVM package for jessie-wikimedia matching version of trusty-wikimedia
Closed, ResolvedPublic

Description

CI is slowly migrating its jobs from Precise/Trusty instances to disposable instances running Jessie. In order to migrate the jobs depending on HHVM to Jessie, we would need a HHVM package matching the one we have for Trusty.

Not much of a priority right now since CI is not migrating PHP based jobs right now. We fir need bits to be able to select which flavor of PHP (Zend 5.3, Zend 5.5 or HHVM). We are not there yet.

So merely filling this as a reminder we will have to package HHVM for Jessie eventually.

Event Timeline

hashar created this task.Feb 4 2016, 2:28 PM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to Low.
hashar added projects: Operations, HHVM.
hashar added subscribers: hashar, Joe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2016, 2:28 PM
Krinkle moved this task from Backlog to New features on the HHVM board.Feb 21 2016, 5:55 PM

@hashar Also we can now select the php flavours so we would need to update he description.

So, up to now we did not have to package HHVM for jessie-wikimedia. I don't have an ETA on when it will be ready for now but I 'll try to help @Joe get something going soonish

greg added a subscriber: greg.Apr 6 2016, 9:42 PM

One thought from Alex in the SoS was creating a trusty nodepool image for these tests (composer) to unblock us (RelEng) in the near team. Is that a reasonable option, @hashar?

hashar added a comment.Apr 6 2016, 9:53 PM

Potentially we could generate an image based on Trusty then I would rather switch all of CI to run solely on Debian/Jessie to ease maintenance. The Precise/Trusty CI slaves are being phased out as jobs are migrated to Nodepool instances (ruby/python/npm jobs got migrated already). What is left are PHP jobs, and having HHVM on Jessie would let us switch a share amount of PHP jobs to the Jessie instances.

The reason we raised this to SoS is to survey ops plan regarding switch the app server to Jessie and whether building and maintaining the HHVM package on Jessie would be reasonable / not too much of a burden. If it proves to be too costly for Operations, I guess we can try to fall back to create a Trusty image for Nodepool.

Joe added a comment.Apr 7 2016, 8:31 AM

So in T131755 I built the HHVM packages for jessie, BUT: they are using a newer version of libicu (which is available on trusty too), so before we can claim "they are the same package" we need to solve T86096

OK, then. Seems like we got this done way faster than I anticipated. I suppose it should be enough for CI needs for now.

@hashar, I would not be fully deprecating the trusty slaves though. There are different libraries at play between the 2 distros and we might unearth bugs in one distro that are not present in the other.

hashar changed the task status from Open to Stalled.Apr 20 2016, 7:34 PM

Whoa thank you @Joe ! I am not sure what ICU involves when it comes to testing but it seems we would want to run the MediaWiki tests on a platform that is the same as the one in production as @akosiaris suggested

I originally wasn't willing to maintain a Trusty image, I have more experience with disk images now so will give it a shot.

Marking this as stalled and blocked on T86096

hashar assigned this task to Joe.May 27 2016, 2:29 PM
hashar closed this task as Resolved.

Aced by  @Joe ! The remaining bit was matching libicu on Trusty/Jessie which was T86096. All deployed on CI/prod/beta.

Well done!